Bug 107723 - FILEOPEN: DOCX schema font name not honored
Summary: FILEOPEN: DOCX schema font name not honored
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.3.6 target:5.4.1
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2017-05-09 12:13 UTC by Laurent Godard
Modified: 2017-08-02 08:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
the docx document to be imported (59.57 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-05-09 12:13 UTC, Laurent Godard
Details
expected result (17.28 KB, application/pdf)
2017-05-09 12:13 UTC, Laurent Godard
Details
bibisect details (4.12 KB, text/plain)
2017-05-15 13:46 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent Godard 2017-05-09 12:13:01 UTC
Created attachment 133188 [details]
the docx document to be imported

The attached docx document contains a schema with text frames using Calibri font

opening in libreoffice changes the font name (too Arial or Liberation) of those text frames leading to a faulty display (alignment, % symbol not aligned)
Comment 1 Laurent Godard 2017-05-09 12:13:23 UTC
Created attachment 133189 [details]
expected result
Comment 2 Telesto 2017-05-12 16:27:02 UTC
Confirming wrong alignment with:
Version: 5.4.0.0.alpha1+
Build ID: 970b431f1a7b6b96c4c9536657ce4fe9d8f5b585
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-11_23:07:53
Locale: en-US (nl_NL); Calc: single

and with
Version: 4.3.0.4
Build ID: 62ad5818884a2fc2e5780dd45466868d41009ec0

but not with
Versie: 4.2.0.4 
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 3 Terrence Enger 2017-05-15 13:46:08 UTC
Created attachment 133337 [details]
bibisect details

Working on debian-stretch in the bibisect-43max repository, I have
localized introduction of the bug to one commit :

          commit    s-h       date
          --------  --------  ----------
    good  01032401  ce8010b4  2014-01-17
    bad   e75a5d44  75934fc1  2014-01-17

I am removing keyword bibisectRequest and adding bisected; I am adding
Miklos Vajna to cc.
Comment 4 Commit Notification 2017-07-28 13:55:42 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=178b361c6379bc963c8a48925f1807c583f2d09f

tdf#107723 Import font name from text portions in shapes

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-08-02 08:28:04 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07e656c99f86a59039decd462f66fa272ee2fbed&h=libreoffice-5-3

tdf#107723 Import font name from text portions in shapes

It will be available in 5.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-08-02 08:32:34 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1f4327764abdd8dca4f5678fadeaeb67a9c23c4c&h=libreoffice-5-4

tdf#107723 Import font name from text portions in shapes

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.